KDESU(1)

NAME
kdesu - Uruchamia program z najwy&#380;szym poziomem uprawnie&#324;

SYNOPSIS

kdesu [-c] [-d] [-f plik] [-i nazwa ikony] [-n] [-p priorytet] [-r] [-s] [-t] [-u u&#380;ytkownik] [--nonewdcop] [polecenie [arg1] [arg2] [...]]

kdesu [Standardowe opcje KDE] [Standardowe opcje Qt]

OPIS

Program KDE su jest graficzn&#261; nak&#322;adk&#261; &#347;rodkowiska KDE na systemowe polecenie su. Pozwala na uruchamianie programów z poziomem uprawnie&#324; innego u&#380;ytkownika pytaj&#261;c o jego has&#322;o. Program KDE su nie wymaga &#380;adnych dodatkowych praw dost&#281;pu gdy&#380; wykorzystuje on polecenie systemowe su.

Dodatkow&#261; funkcj&#261; programu KDE su jest opcjonalna mo&#380;liwo&#347;&#263; zapami&#281;tywania wprowadzanych hase&#322;. Je&#380;eli jest w&#322;&#261;czona, to podanie has&#322;a jest wymagane tylko raz dla ka&#380;dego polecenia.

Program powinien by&#263; uruchamiany z linii polece&#324; lub za po&#347;rednictwem pliku .desktop.

PARAMETRY

-c program
    Okre&#347;la polecenie, które nale&#380;y uruchomi&#263; z poziomem uprawnie&#324; administratora. Polecenie musi podane jako jeden argument, dlatego na przyk&#322;ad je&#380;eli u&#380;ytkownik chce uruchomi&#263; mened&#380;era plików, powinien wprowadzi&#263; w linii polece&#324;: kdesu -c kfm -sw

-d  Pokazuje informacje diagnostyczne.

-f plik
    Parametr ten pozwala na efektywne wykorzystanie programu KDE su w plikach .desktop. Powoduje, i&#380; KDE su sprawdza wskazany plik czy jest zapisywalny przez bie&#380;&#261;cego u&#380;ytkownika. Je&#380;eli tak, to polecenie zostanie wykonane z poziomem uprawnie&#324; bie&#380;&#261;cego u&#380;ytkownika, a je&#380;eli nie to polecenie zostanie wykonane z uprawnieniami u&#380;ytkownika u&#380;ytkownik (warto&#347;ci&#261; domy&#347;ln&#261; jest administrator tzn. u&#380;ytkownik root). &#346;cie&#380;ka do pliku plik jest wyznaczana nast&#281;puj&#261;co: je&#380;eli plik rozpoczyna si&#281; od znaku / to traktowana jest jako &#347;cie&#380;ka absolutna, je&#380;eli za&#347; nie to katalogiem podstawowym b&#281;dzie katalog konfiguracji globalnej &#347;rodowiska KDE. Na przyk&#322;ad aby skonfigurowa&#263; mened&#380;er wy&#347;wietlania KDE kdm, mo&#380;na wprowadzi&#263; polecenie kdesu -c kdmconfig -f kdmrc

-i nazwa ikony
    Pozwala na okre&#347;lenie ikony wy&#347;wietlanej w oknie dialogowych pytania o has&#322;o. Mo&#380;na tu zastosowa&#263; nazw&#281; bez rozszerzenia.

-n  Nie przechowuj has&#322;a. Opcja ta wy&#322;&#261;cza dzia&#322;anie pola wyboru przechowuj has&#322;o w oknie dialogowym wprowadzania has&#322;a.

-p priorytet
    Okre&#347;la priorytet wykonania programu. Jest to liczba ca&#322;kowita z przedzia&#322;u od 0 do 100, gdzie 100 oznacza najwy&#380;szy priorytet, a 0 najni&#380;szy. Warto&#347;ci&#261; domy&#347;ln&#261; jest 50.

-r  W&#322;&#261;cza dla programu priorytet czasu rzeczywistego.

-s  Zatrzymuje us&#322;ug&#281; KDE su. Jest to us&#322;uga przechowuj&#261;ca w tle poprawnie wprowadzone has&#322;a. Funkcja ta mo&#380;e te&#380; by&#263; wy&#322;&#261;czona przez podanie parametru -n przy uruchamianiu programu.

-t  W&#322;&#261;cza wyj&#347;cie na terminal. Parametr wy&#322;&#261;cza funkcj&#281; przechowywania hase&#322;, za&#347; wykorzystywany jest najcz&#281;&#347;ciej w celu poszukiwaniu b&#322;&#281;dów. W celu uruchomienia aplikacji w trybie konsolowym najlepiej jest jednak u&#380;ywa&#263; standardowego polecenia su.

-u  u&#380;ytkownik
    Chocia&#380; najcz&#281;&#347;ciej KDE su jest wykorzystywane do uruchamiania programów z poziomem uprawnie&#324; administratora, mo&#380;na te&#380; wybra&#263; innych u&#380;ytkowników podaj&#261;c nazw&#281; u&#380;ytkownika i odpowiednie has&#322;o.

ZOBACZ TAK&#380;E

su(1)

Szczegó&#322;owa dokumentacja jest dost&#281;pna pod adresem help:/kdesu (nale&#380;y go wprowadzi&#263; jako adres URL w programie Konqueror lub wykona&#263; polecenie khelpcenter help:/kdesu).

PRZYK&#322;ADY

Uruchamia program kfmclient jako u&#380;ytkownik jim, i wy&#347;wietla ikon&#281; Konquerora w oknie dialogowym pytania o has&#322;o.

    kdesu -u jim -i konqueror kfmclient

AUTORZY

Program KDE su. Autorzy: Geert Jansen <jansen@kde.org> oraz Pietro Iglio <iglio@fub.it>.

AUTHOR
Lauri Watts.